> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create eAU Request

> Create a request for an electronic certificate of incapacity for work (eAU).

<Note>
  This endpoint requires the permission **Manage eAU** to be enabled in [your scope config](/scopes).
</Note>

### Example Request Body

```json theme={null}
{
  "start_work_incapacity": "2022-01-01"
}
```


## OpenAPI

````yaml POST /custom/datev/employees/{employee_id}/eau-requests
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /custom/datev/employees/{employee_id}/eau-requests:
    post:
      tags:
        - Custom Endpoints
      summary: Create eAU Request
      description: >-
        Create a request for an electronic certificate of incapacity for work
        (eAU).


        <Note>
          This endpoint requires the permission **Manage eAU** to be enabled in [your scope config](/scopes).
        </Note>


        ### Example Request Body


        ```json

        {
          "start_work_incapacity": "2022-01-01"
        }

        ```
      operationId: PostCustomDatevEmployeesEmployeeIdEauRequests
      parameters:
        - in: header
          name: X-Integration-Id
          schema:
            type: string
          description: ID of the integration you want to interact with.
          example: datev:HWUTwvyx2wLoSUHphiWVrp28
          required: true
        - name: employee_id
          in: path
          required: true
          description: >-
            ID of the employee that should be updated. You can use their Kombo
            `id` or their ID in the remote system by prefixing it with `remote:`
            (e.g., `remote:12312`)
          schema:
            $ref: >-
              #/components/schemas/PostCustomDatevEmployeesEmployeeIdEauRequestsParameterEmployeeId
          examples:
            example1:
              value: remote:12312
      requestBody:
        description: POST /custom/datev/employees/:employee_id/eau-requests Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PostCustomDatevEmployeesEmployeeIdEauRequestsRequestBody
            examples:
              example1:
                value:
                  start_work_incapacity: '2022-01-01'
      responses:
        '200':
          description: >-
            POST /custom/datev/employees/:employee_id/eau-requests Positive
            response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PostCustomDatevEmployeesEmployeeIdEauRequestsPositiveResponse
        default:
          $ref: '#/components/responses/ErrorResponseGeneral'
components:
  schemas:
    PostCustomDatevEmployeesEmployeeIdEauRequestsParameterEmployeeId:
      type: string
      description: >-
        ID of the employee that should be updated. You can use their Kombo `id`
        or their ID in the remote system by prefixing it with `remote:` (e.g.,
        `remote:12312`)
    PostCustomDatevEmployeesEmployeeIdEauRequestsRequestBody:
      type: object
      properties:
        start_work_incapacity:
          type: string
          pattern: ^\d{4}-\d{2}-\d{2}$
          description: Date "start_work_incapacity" from the original eAU-Request.
        notification:
          type: object
          properties:
            email:
              type: string
              pattern: >-
                ^[\w!#$%&'*+/=?^`{|}~-]+(?:\.[\w!#$%&'*+/=?^`{|}~-]+)*@(?:[\w-]+\.)+[\w-]{2,}$
              description: >-
                This is the email address that should be notified as soon as a
                feedback is received.
          required:
            - email
        contact_person:
          type: object
          properties:
            gender:
              type: string
              enum:
                - M
                - W
                - X
                - D
            name:
              type: string
              minLength: 0
              maxLength: 30
            telephone:
              type: string
              minLength: 0
              maxLength: 20
              pattern: ([\d+])[\d ()/-]+
            fax:
              type: string
              minLength: 0
              maxLength: 20
              pattern: ([\d+])[\d ()/-]+
            email:
              type: string
              minLength: 0
              maxLength: 70
              pattern: >-
                ^(?=.{1,64}@)[\w-]+(\.[\w-]+)*@[^-][\dA-Za-z-]+(\.[\dA-Za-z-]+)*(\.[A-Za-z]{2,})$
            company_name:
              type: string
              minLength: 0
              maxLength: 90
            postal_code:
              type: string
              minLength: 0
              maxLength: 10
              pattern: '[\dA-Za-z]*'
            city:
              type: string
              minLength: 0
              maxLength: 34
            street:
              type: string
              minLength: 0
              maxLength: 33
            house_number:
              type: string
              minLength: 0
              maxLength: 9
          required:
            - gender
            - name
            - telephone
            - fax
            - email
            - company_name
            - postal_code
            - city
            - street
            - house_number
          description: >-
            The data-section for the contact person which is responsible for
            feedback from the health insurance.
      required:
        - start_work_incapacity
      description: >-
        The data to request an electronic certificate of incapacity for work
        (eAU).
      examples:
        - start_work_incapacity: '2022-01-01'
    PostCustomDatevEmployeesEmployeeIdEauRequestsPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            eau_id:
              type: string
          required:
            - eau_id
        warnings:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: >-
            These are the interaction warnings that are shown in the dashboard.
            They are meant to provide debug information to you. We recommend
            logging them to the console.
      required:
        - status
        - data
        - warnings
  responses:
    ErrorResponseGeneral:
      description: The standard error response with just the platform error codes.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                    example: PLATFORM.RATE_LIMIT_EXCEEDED
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````